> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletes custom data

> Deletes all custom data data associated to a user.



## OpenAPI

````yaml /portal/Amdocs_Media-CustomData-2021.03.Released-resolved.yaml delete /v1/user/{userId}
openapi: 3.0.1
info:
  version: 2021.03.Released
  title: Connect Custom Data APIs
  description: >
    APIs to store and retrieve data. Custom Data will not be accessed or
    manipulated by ULM business processes and platform service APIs. Note that
    if a client application must access both platform and custom user data, it
    will have to issue two requests. 


    The following tracing headers can be used:


    X-B3-TraceId: The TraceId indicates the overall ID of the trace. Every span
    in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16
    lower-hex characters. For example, a 128-bit TraceId header might look like
    463ac35c9f6413ad48485a3953bb6124.


    X-B3-SpanId: The SpanId is 64-bit in length and indicates the position of
    the current operation in the trace tree. The value should not be
    interpreted; it may or may not be derived from the value of the TraceId. The
    X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a
    SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the
    Sampling State, the X-B3-SpanId header is required.


    X-B3-ParentSpanId: The ParentSpanId is 64-bit in length and indicates the
    position of the parent operation in the trace tree. When the span is the
    root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId
    header may be present on a child span and must be absent on the root span.
    It is encoded as 16 lower-hex characters. For example, a ParentSpanId header
    might look like 0020000000000001.
servers:
  - url: https://ulm-stg.m1amdocs.io/customData
  - url: https://default-ulm-qa.corp.amdocs.com/customData
security:
  - cookieAuth: []
  - OIDC: []
paths:
  /v1/user/{userId}:
    delete:
      tags:
        - Custom Data
      summary: Deletes custom data
      description: Deletes all custom data data associated to a user.
      operationId: deleteCustomData
      parameters:
        - $ref: '#/components/parameters/include'
        - name: userId
          in: path
          description: The id of the user or "me".
          required: true
          schema:
            type: string
      responses:
        '204':
          description: NO CONTENT
        '400':
          $ref: '#/components/responses/error400'
        '401':
          $ref: '#/components/responses/error401'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
components:
  parameters:
    include:
      in: query
      name: include
      schema:
        type: string
      description: >
        The include data specification: A string composed of comma separated
        property names. Property paths are supported, property paths use periods
        as separators. If properties have a large number of items, a page number
        and size can be provided, following the property name in squeare
        brackets (e.g.: bookmarks[1|20]).
  responses:
    error400:
      description: Invalid Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/400Error'
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/401Error'
    error404:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/404Error'
    error500:
      description: Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/500Error'
  schemas:
    400Error:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          enum:
            - invalid-request
        message:
          type: string
        validationErrors:
          type: array
          items:
            $ref: '#/components/schemas/400ValError'
    401Error:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          enum:
            - authentication-required
            - invalid-api-key
            - api-key-not-found
        message:
          type: string
    404Error:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          enum:
            - not-found
        message:
          type: string
    500Error:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          enum:
            - server-error
        message:
          type: string
    400ValError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: JSESSIONID
    OIDC:
      type: oauth2
      description: OAuth 2.0 Authentication
      flows:
        authorizationCode:
          authorizationUrl: /oidc/authorize
          tokenUrl: /oidc/token
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            offline_access: Requests that a refresh token be issued.
            entitlements: Enables the "entitlements" claim.
            com.uxpsystems.ulm: Full access to all REST APIs.
            com.uxpsystems.ulm.partner: >-
              Enables use of the access token to call
              /privacy/users/*/partners/* APIs for managing end-user privacy
              settings for this relying party.
        clientCredentials:
          tokenUrl: /oidc/token
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is not OIDC but merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            entitlements: Enables the "entitlements" claim.
            com.uxpsystems.ulm: Full access to all REST APIs.
            com.uxpsystems.ulm.partner: >-
              Enables use of the access token to call
              /privacy/users/*/partners/* APIs for managing end-user privacy
              settings for this relying party.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.